# Canonical recap data for World Wide Web Released to Public (1991)
# Source: https://recap.at/1991/world-wide-web-public-release
# Format: YAML 1.2 (UTF-8). Generated at request time.
slug: world-wide-web-public-release
canonicalUrl: "https://recap.at/1991/world-wide-web-public-release"
title: World Wide Web Released to Public
aliases:
- WWW public release
- Web goes public
- August 6, 1991
subtitle: ""
recapType: global_event
eventStatus: concluded
startDate: 1991-01-01
datePrecision: year
year: 1991
decade: 1990
summaryShort: Tim Berners-Lee released the World Wide Web to the public on August 6, 1991, transforming a CERN physics tool into the foundation of the modern internet.
summaryLong: |-
  On August 6, 1991, Tim Berners-Lee posted a message to the alt.hypertext newsgroup announcing that the World Wide Web was now available to anyone with internet access. What began as a solution to a specific problem—helping physicists at CERN share research across different computer systems—had become something far larger. Berners-Lee had invented the Web in 1989, but for two years it remained largely confined to CERN's Geneva campus. The August 1991 release opened it to the broader world.

  The Web's architecture was deceptively simple. Berners-Lee combined three existing technologies: HTTP (HyperText Transfer Protocol) for communication, HTML (HyperText Markup Language) for formatting documents, and URLs (Uniform Resource Locators) for addressing. The first website went live on August 6, 1991, describing the Web project itself and hosted on Berners-Lee's NeXT computer. There were no images, no ads, no algorithms—just linked text documents accessible through a browser. The early web was deliberately unglamorous, which may have been exactly why it succeeded where previous hypertext systems had failed.

  Berners-Lee made a choice that proved historically consequential: he placed the Web's core technology in the public domain rather than patenting it. He refused to charge licensing fees. CERN released the source code freely. This decision, made in 1993 when CERN formally declared the Web technology available to anyone, removed the primary barrier to adoption. Without it, the Web might have become just another corporate-controlled network competing against AOL, CompuServe, and proprietary online services.

  By 1992, there were approximately 50 websites worldwide. By 1993, Marc Andreessen's Mosaic browser brought graphical design to the Web, making it accessible to non-technical users. Netscape Navigator followed in 1994. What had been a tool for particle physicists became the infrastructure of commerce, media, and culture. The Internet had existed since the 1960s, but the Web gave it a user interface simple enough for billions.

  The August 1991 release didn't immediately feel revolutionary. The New York Times didn't cover it. Most people with computers still connected via dial-up modems at 14.4 kilobits per second. Yet within a decade, the Web had redrawn the map of how information moved through society. Berners-Lee later received the Turing Award in 2016, though his invention had long since escaped into the wild, uncontrollable and universal.
lede: On August 6, 1991, Tim Berners-Lee released the World Wide Web to the public after keeping it confined to CERN laboratories for two years. He had invented it as a tool to help physicists share research across incompatible computers, but his decision to freely share the underlying technology—HTTP, HTML, and URLs—removed the barriers that had killed every previous hypertext system. The Web transformed from a niche physics tool into the foundation of the modern internet.
heroImageUrl: "https://live.staticflickr.com/8423/7644426426_ec2a740032_b.jpg"
heroImageCredit: "\"20120724-OSEC-LSC-0781\" by USDAgov is marked with Public Domain Mark 1.0. To view the terms, visit https://creativecommons.org/publicdomain/mark/1.0/."
importance: 50
sourceConfidence: 50
keyFacts:
- label: Date of public release
  value: August 6, 1991
- label: Inventor
  value: Tim Berners-Lee
- label: Location of invention
  value: CERN (European Organization for Nuclear Research), Geneva
- label: Year invented
  value: "1989"
- label: First website
  value: info.cern.ch, describing the Web project itself
- label: Server hardware
  value: NeXT Computer
- label: Estimated websites worldwide by 1992
  value: ~50
- label: Year Berners-Lee received Turing Award
  value: "2016"
timeline:
- date: 1989-03-13
  title: Berners-Lee proposes information management system at CERN
  description: Tim Berners-Lee submits a proposal to CERN management for a distributed information system to address the challenge of accessing information across different computer systems used by the laboratory's physicists.
- date: 1989-11-13
  title: First HTTP server and browser written
  description: Berners-Lee completes the initial implementation of the HTTP protocol and writes the first web browser and editor on his NeXT computer.
- date: 1990-12-20
  title: First successful HTTP transaction over the internet
  description: Berners-Lee successfully demonstrates HTTP working between his NeXT computer and a VAX system at CERN, establishing the first web server and client communication.
- date: 1991-08-06
  title: World Wide Web released to the public
  description: Tim Berners-Lee announces the Web's availability to the public via the alt.hypertext newsgroup. The first website goes live, explaining the Web project itself and running on his NeXT server.
- date: 1993-01-23
  title: Marc Andreessen releases Mosaic browser
  description: Mosaic, the first graphical web browser, is released, making the Web accessible to non-technical users and dramatically accelerating adoption beyond the research community.
- date: 1993-04-30
  title: CERN places Web technology in public domain
  description: CERN formally declares HTTP, HTML, and URL specifications available to anyone without royalty or licensing restrictions, removing barriers to adoption and implementation.
- date: 1994-10-13
  title: Netscape Navigator released
  description: Netscape Communications Corporation releases Navigator, a commercial web browser that becomes the dominant browser of the mid-1990s and drives further Web adoption.
sources: []
related: []
relationships:
- targetSlug: iphone-launch
  type: enabled
  confidence: 95
  evidence: The web released by Berners-Lee established the architectural model for distributed information access that Jobs leveraged in 2007—mobile devices became viable precisely because the web standardized content delivery across heterogeneous clients.
  source: ai
- targetSlug: dissolution-soviet-union
  type: happened_during
  confidence: 75
  evidence: The web was released on August 6, 1991, months before the Soviet Union formally dissolved on December 26, 1991; both events marked the end of geopolitical silos and the emergence of decentralized networks.
  source: ai
gallery: []
culturalContext:
topMusic:
- title: Nevermind
  artist: Nirvana
  year: 1991
  note: Released the same year as the public web, became the soundtrack to the emerging digital generation.
- title: The One Thing
  artist: INXS
  year: 1991
  note: Chart-topping single from an era when broadcast radio and MTV still dominated discovery.
topFilms:
- title: "Terminator 2: Judgment Day"
  year: 1991
  note: Peak pre-internet cinema; the web was just launching while Hollywood still imagined AI threats in analog terms.
- title: "Robin Hood: Prince of Thieves"
  year: 1991
  note: Biggest film of 1991; entertainment distribution was still entirely physical and broadcast.
topTVShows:
- title: The Fresh Prince of Bel-Air
  year: 1991
  note: Premiered the same year the web went public; represented entertainment gatekeeping by major networks.
- title: Twin Peaks
  year: 1991
  note: Final episode aired in 1991; television was the dominant medium for consuming serialized narratives.
zeitgeistNote: 1991 was the last year of pure pre-web consumer culture. The Soviet Union was dissolving, grunge was ascendant, and the internet existed only in universities and CERN laboratories. Within five years, web browsers would be fighting for desktop dominance; within fifteen, the web would be reshaping politics, retail, and human connection itself. Berners-Lee released his creation into a world still dependent on dial-up and floppy disks.
comparisonThenNow:
- metric: Global websites in existence
  thenValue: fewer than 50
  thenYear: 1991
  nowValue: 1.9+ billion
  nowYear: 2024
  note: From Berners-Lee's own hypertext experiment to nearly a third of all possible domain names registered.
- metric: Internet users accessing the web
  thenValue: less than 1 million
  thenYear: 1991
  nowValue: 5.3+ billion
  nowYear: 2024
  note: Early adopters were predominantly scientists and academics; now covers roughly two-thirds of Earth's population.
- metric: Average web page load time
  thenValue: seconds to minutes
  thenYear: 1991
  nowValue: milliseconds
  nowYear: 2024
  note: "Then: modem speeds of 14.4 kbps; now: 5G and fiber enabling streaming video instantaneously."
- metric: Primary business model of web platforms
  thenValue: information sharing and academic collaboration
  thenYear: 1991
  nowValue: surveillance capitalism and targeted advertising
  nowYear: 2024
  note: Berners-Lee explicitly kept the web protocol free; monetization came later via data harvesting, not subscription.
impactStatement: Tim Berners-Lee released the World Wide Web to the public on August 6, 1991, transforming a CERN-internal hypertext system into a decentralized information network. Within a decade, the web rewired commerce, communication, and knowledge distribution so thoroughly that the internet itself became synonymous with it. We're still living inside the consequences.
consequences:
- title: First web browser for general public
  year: 1993
  description: Marc Andreessen and Eric Bina released Mosaic, the first graphical web browser accessible to non-technical users, catalyzing mass adoption of the web.
- title: Dot-com boom begins
  year: 1995
  description: Amazon and eBay launch, followed by thousands of internet startups. Venture capital floods into web-based companies, creating the speculative bubble that would crash in 2000.
- title: Search engines emerge as dominant navigation
  year: 1998
  description: Google founders Larry Page and Sergey Brin file for a patent on PageRank, establishing algorithmic search as the primary way users discover web content.
- title: Mobile web becomes mainstream
  year: 2007
  description: The iPhone launch by Steve Jobs introduces touch-based web browsing, shifting web consumption from desktops to mobile devices and enabling the app economy.
- title: Social media platforms dominate web traffic
  year: 2010
  description: Facebook, launched in 2004, surpasses Google as the most visited website globally, demonstrating that platforms could mediate most web activity for billions of users.
archiveSnapshots: []
categories:
- tech-launch
metaDescription: Tim Berners-Lee unleashed the web on the world. No corporate overlords, no permission slips. Just hypertext, HTTP, and HTML. The internet stopped being academic navel-gazing and became ours.
originSignals:
- "wikipedia:world-wide-web-public-release"
